Bug 995044 - Decision Table Wizard: name can contain bad characters
Decision Table Wizard: name can contain bad characters
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.0.0
Assigned To: manstis
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 09:01 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Summary: When creating a name for a Decision Table in the Decision Table Wizard, the system does not validate the presence of spaces within the name. This causes issues later on when this table is not listed in the package list. Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (34.07 KB, image/png)
2013-10-16 03:10 EDT, Radovan Synek
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-08 09:01:19 EDT
Description of problem:
The Decision Table Wizard allows you to use unusual characters for the DT name. Depending on the name used, various "special" effects can be achieved.

Using spaces results in file "    .gdst" which works quite okay but isn't visible in the list of Decision Tables in the package.

Using \n (optionally followed by other chars) results in Error : File '' could not be found. \n as a name means there is default://master@jbpm-playground//test/src/main/resources//n.gdst, org.kie.commons.java.nio.file.NoSuchFileException a Message delivery failure s MethodParms=[PathImpl{uri='default://master@jbpm-playground//test/src/main/resources//n.gdst', fileName='n.gdst', attrs={}}]. The DT shows up as "n" in the DT list and cannot be opened.

Using \ only, after you click Finish, you get Meta File Editor for .gdst file. It can only be closed. You won't get to that file through the GUI again.

Other characters are allowed as well (", &, ..), though don't seem to cause problems in the GUI.


Version-Release number of selected component (if applicable):
kie-wb 6.0 CR1


How reproducible:


Steps to Reproduce:
1. Go to Authoring (Project Explorer) and start creating a new Decision Table using the Wizard.
2. Change the name to soma corrupting string of characters: spaces, \, etc.
3. Click Finish.


Actual results:


Expected results:


Additional info:
Comment 5 Radovan Synek 2013-10-16 03:10:22 EDT
Using only spaces as a DT name is still accepted, however this name cannot be displayed in Project Explorer - see the attached screen shot.
Other special characters stated in description ('\', '\n') properly fail the validation, which is ok.
Comment 6 Radovan Synek 2013-10-16 03:10:47 EDT
Created attachment 812785 [details]
screen shot
Comment 8 Radovan Synek 2013-12-02 05:45:44 EST
Verified on BRMS-6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.